## CamelMimeFilterCanon

CamelMimeFilterCanon

## Functions

CamelMimeFilter * | camel_mime_filter_canon_new ()

## Types and Values

enum | CamelMimeFilterCanonFlags

## Object Hierarchy

        GObject
        ╰── CamelMimeFilter
            ╰── CamelMimeFilterCanon

## Description

## Functions

### camel_mime_filter_canon_new ()

    CamelMimeFilter *
    camel_mime_filter_canon_new (guint32 flags);

Create a new filter to canonicalise an input stream.

#### Parameters

flags | bitwise flags defining the behaviour of the filter. | [type CamelMimeFilterCanonFlags]

#### Returns

a new CamelMimeFilterCanon

## Types and Values

### enum CamelMimeFilterCanonFlags

#### Members

CAMEL_MIME_FILTER_CANON_CRLF |  |
CAMEL_MIME_FILTER_CANON_FROM |  |
CAMEL_MIME_FILTER_CANON_STRIP |  |